summaryrefslogtreecommitdiff
path: root/tools/gator/debian/gator-daemon.preinst
diff options
context:
space:
mode:
authorPhilippe Langlais <philippe.langlais@stericsson.com>2012-06-04 19:46:20 +0800
committerPhilippe Langlais <philippe.langlais@stericsson.com>2012-06-04 19:46:20 +0800
commitd9357d6650ce38ca31d0cfdbcb041ebc32f10f26 (patch)
tree8f20fbd51edfd1c3f544052dd124c54379ebf9b9 /tools/gator/debian/gator-daemon.preinst
parent20c81608dcd30fc3817d6d430fca83f52b9aa965 (diff)
parent75ae3ec8fe927285d2220acb87a2fa087b9d5f47 (diff)
Merge topic branch 'tracking-armlt-gator-5.10' into integration-linux-ux500
Signed-off-by: Philippe Langlais <philippe.langlais@stericsson.com>
Diffstat (limited to 'tools/gator/debian/gator-daemon.preinst')
-rw-r--r--tools/gator/debian/gator-daemon.preinst36
1 files changed, 36 insertions, 0 deletions
diff --git a/tools/gator/debian/gator-daemon.preinst b/tools/gator/debian/gator-daemon.preinst
new file mode 100644
index 00000000000..bb2dc7e5fe7
--- /dev/null
+++ b/tools/gator/debian/gator-daemon.preinst
@@ -0,0 +1,36 @@
+#!/bin/sh
+# preinst script for gator-daemon
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ mkdir -p /var/lib/gatord/
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0